For the complete documentation index, see llms.txt. This page is also available as Markdown.

Complex Relation Types

Returns complex relation types matching the given search criteria.

get

Returns complex relation types matching the given search criteria. Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored. The returned complex relation types satisfy all constraints that are specified in this search criteria. By default a result containing 1000 complex relation types is returned.

Authorizations
AuthorizationstringRequired
Query parameters
offsetinteger · int32Optional

The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.

Default: 0
limitinteger · int32Optional

The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.

Default: 0
countLimitinteger · int32Optional

Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped

Default: -1
namestringOptional

The name of the Complex Relation Type to search for.

nameMatchModestring · enumOptional

The match mode used to compare name. If the match mode is EXACT the search is case-sensitive, otherwise the search is case-insensitive.

Default: ANYWHEREPossible values:
Responses
200

The paged response of found Complex Relation Types.

application/json
totalinteger · int64Optional

The total number of results.

Example: 1000
offsetinteger · int64Optional

The offset for the results.

Example: 10
limitinteger · int64Optional

The maximum number of results to be returned.

Example: 100
get/complexRelationTypes
200

The paged response of found Complex Relation Types.

Adds a new complex relation type.

post

Adds a new complex relation type.

Authorizations
AuthorizationstringRequired
Body
idstring · uuidOptional

The ID of the new Complex Relation Type. Should be unique within all Complex Relation Types.
It should have a format of universally unique identifier (UUID) and should not start with 00000000-0000-0000- which is a reserved prefix.

publicIdstring · min: 1 · max: 260Optional

The public id that will be assigned to the new Complex Relation Type. It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

namestring · min: 1 · max: 255Required

The name of the new Complex Relation Type. Should be unique within all Complex Relation Types.

descriptionstring · max: 4000Optional

The description of the new Complex Relation Type.

colorstring · max: 7Optional

The color of the symbol, in a hex format e.g. '#000000'. This format always includes the '#' and has a size of 7.

Example: #FFFFFFPattern: ^#([A-Fa-f0-9]{6})$
symbolTypestring · enumRequired

The symbol type.

Possible values:
iconCodestringOptional

The icon code of the new Complex Relation Type.

acronymCodestringOptional

The acronym code of the new Complex Relation Type.

Pattern: ^([A-Za-z0-9]{1,4})$
Responses
201

Complex relation type successfully added.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
publicIdstringOptional

The public id of the complex relation type.

Example: "ReportCollection_C"
post/complexRelationTypes

Returns complex relation type identified by given UUID.

get

Returns complex relation type identified by given UUID.

Authorizations
AuthorizationstringRequired
Path parameters
complexRelationTypeIdstring · uuidRequired

the unique identifier of the complex relation type

Responses
200

Complex relation type found.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
publicIdstringOptional

The public id of the complex relation type.

Example: "ReportCollection_C"
get/complexRelationTypes/{complexRelationTypeId}

Removes complex relation type identified by given UUID.

delete

Removes complex relation type identified by given UUID.

Authorizations
AuthorizationstringRequired
Path parameters
complexRelationTypeIdstring · uuidRequired

the unique identifier of the complex relation type

Responses
default

default response

application/json
delete/complexRelationTypes/{complexRelationTypeId}
default

default response

Changes the complex relation type.

patch

Changes the complex relation type with the information that is present in the request. Only properties that are specified in this request and have not null values are updated. All other properties are ignored.

Authorizations
AuthorizationstringRequired
Path parameters
complexRelationTypeIdstring · uuidRequired

the unique identifier of the complex relation type

Body
publicIdstring · min: 1 · max: 260Optional

The new public id for the Complex Relation Type. It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.

namestring · min: 1 · max: 255Optional

The new name for the Complex Relation Type.

descriptionstring · max: 4000Optional

The new description for the Complex Relation Type.

colorstring · max: 7Optional

The color of the symbol, in a hex format e.g. '#000000'. This format always includes the '#' and has a size of 7.

Pattern: ^#([A-Fa-f0-9]{6})$
symbolTypestring · enumOptional

The new symbol type.

Possible values:
iconCodestringOptional

The new icon code for the Complex Relation Type.

acronymCodestringOptional

The new acronym code for the Complex Relation Type.

Pattern: ^([A-Za-z0-9]{1,4})$
Responses
200

Complex relation type successfully changed.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
publicIdstringOptional

The public id of the complex relation type.

Example: "ReportCollection_C"
patch/complexRelationTypes/{complexRelationTypeId}
200

Complex relation type successfully changed.

Get the complex relation type by public id

get

Returns the complex relation type identified by the given public id.

Authorizations
AuthorizationstringRequired
Path parameters
publicIdstringRequired

The public identifier of the complex relation type

Responses
200

Complex relation type found.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
publicIdstringOptional

The public id of the complex relation type.

Example: "ReportCollection_C"
get/complexRelationTypes/publicId/{publicId}

Last updated

Was this helpful?